Skip to main content
`Ctrl`+`K`

# TaoLineSearchUseTaoRoutines

Informs the `TaoLineSearch` to use the objective and gradient evaluation routines from the given `Tao` object. The default.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchUseTaoRoutines(TaoLineSearch ls, Tao ts)

Logically Collective

## Input Parameters

- ls - the `TaoLineSearch` context

- ts - the `Tao` context with defined objective/gradient evaluation routines

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchCreate()`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages